Package org.apache.felix.eventadmin.impl.tasks

## Class SyncThread

- java.lang.Object
- - java.lang.Thread
  - - org.apache.felix.eventadmin.impl.tasks.SyncThread

All Implemented Interfaces:
  `Runnable`

    public class SyncThread
    extends Thread

This thread class is used for sending the events synchronously. It acts like a marker.

Author:
  Felix Project Team

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
`SyncThread​(Runnable target)` Constructor used by the thread pool.

### Method Summary

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SyncThread

    public SyncThread​(Runnable target)

Constructor used by the thread pool.

Parameters:
  `target` - The target